Bug 256415 - ports-mgmt/pkg throws "Failed: extract" error in clean 12.2-RELEASE-p8 i386 poudriere build jail
Summary: ports-mgmt/pkg throws "Failed: extract" error in clean 12.2-RELEASE-p8 i386 p...
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-pkg (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-04 12:57 UTC by freebsd
Modified: 2021-06-10 18:50 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (pkg)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2021-06-04 12:57:17 UTC
=>> Building ports-mgmt/pkg
build started at Fri Jun  4 14:51:27 CEST 2021
port directory: /usr/ports/ports-mgmt/pkg
package name: pkg-1.16.3
building for: FreeBSD TB-FreeBSDi386-default-job-01 12.2-RELEASE-p8 FreeBSD 12.2-RELEASE-p8 i386
maintained by: pkg@FreeBSD.org
Makefile datestamp: -rw-r--r--  1 root  wheel  2744 Apr 30 13:25 /data/poudriere/data/.m/TB-FreeBSDi386-default/01//usr/ports/ports-mgmt/pkg/Makefile
Poudriere version: 3.3.99.20210521
Host OSVERSION: 1300139
Jail OSVERSION: 1202000
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1202000
UNAME_v=FreeBSD 12.2-RELEASE-p8
UNAME_r=12.2-RELEASE-p8
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.99.20210521
MASTERMNT=/data/poudriere/data/.m/TB-FreeBSDi386-default/ref
LC_COLLATE=C
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
OUTPUT_REDIRECTED_STDERR=4
OUTPUT_REDIRECTED=1
PWD=/data/poudriere/data/.m/TB-FreeBSDi386-default/ref/.p/pool
OUTPUT_REDIRECTED_STDOUT=3
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=TB-FreeBSDi386-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/data/poudriere/data/.m/TB-FreeBSDi386-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for pkg-1.16.3:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
pkg@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--mandir=/usr/local/man --prefix="/usr/local"
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
CC_FOR_BUILD="cc" XDG_DATA_HOME=/wrkdirs/usr/ports/ports-mgmt/pkg/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/ports-mgmt/pkg/work  HOME=/wrkdirs/usr/ports/ports-mgmt/pkg/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/ports-mgmt/pkg/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/ports-mgmt/pkg/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/ports-mgmt/pkg/work  HOME=/wrkdirs/usr/ports/ports-mgmt/pkg/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/ports-mgmt/pkg/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -Wno-error -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -Wno-error -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" OSREL=12.2 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/pkg"  EXAMPLESDIR="share/examples/pkg"  DATADIR="share/pkg"  WWWDIR="www/pkg"  ETCDIR="etc/pkg"
--End PLIST_SUB--

--SUB_LIST--
 PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/pkg DOCSDIR=/usr/local/share/doc/pkg EXAMPLESDIR=/usr/local/share/examples/pkg  WWWDIR=/usr/local/www/pkg ETCDIR=/usr/local/etc/pkg
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/TB-FreeBSDi386-make.conf ####
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs

OPTIONS_UNSET=X11
WITH_PKGNG=yes


.if ${.CURDIR:M*/mail/sendmail*}
SENDMAIL_CF_DIR= /usr/local/share/sendmail/cf
SENDMAIL_CFLAGS+= -I/usr/local/include -DSASL=2
SENDMAIL_LDFLAGS+= -L/usr/local/lib
SENDMAIL_LDADD+= -lsasl2
# Adding to enable alternate port (smtps) for sendmail...
SENDMAIL_CFLAGS+= -D_FFR_SMTP_SSL
.endif

DEFAULT_VERSIONS= php=74 apache=2.4 mysql=56 ssl=openssl

WITH_SSP_PORTS=yes

LICENSES_ACCEPTED+= DCC
WITH_CCACHE_BUILD=yes
CCACHE_DIR=/root/.ccache
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: i386-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: i386-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-m" "elf_i386_fbsd" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: i386-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=i386
OPSYS=FreeBSD
_OSRELEASE=12.2-RELEASE-p8
OSREL=12.2
OSVERSION=1202000
PYTHONBASE=/usr/local
_SMP_CPUS=30
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License BSD2CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD2CLAUSE accepted by the user
===> Fetching all distfiles required by pkg-1.16.3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD2CLAUSE accepted by the user
===> Fetching all distfiles required by pkg-1.16.3 for building
=> SHA256 Checksum OK for freebsd-pkg-1.16.3_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD2CLAUSE accepted by the user
===> Fetching all distfiles required by pkg-1.16.3 for building
===>  Extracting for pkg-1.16.3
===>  License BSD2CLAUSE accepted by the user
===> Fetching all distfiles required by pkg-1.16.3 for building
=> SHA256 Checksum OK for freebsd-pkg-1.16.3_GH0.tar.gz.
ld-elf.so.1: /lib/libcrypto.so.111: unsupported file layout
===>  Failed to extract "/portdistfiles//freebsd-pkg-1.16.3_GH0.tar.gz".
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/ports-mgmt/pkg
*** Error code 1

Stop.
make: stopped in /usr/ports/ports-mgmt/pkg
=>> Cleaning up wrkdir
===>  Cleaning for pkg-1.16.3
build of ports-mgmt/pkg | pkg-1.16.3 ended at Fri Jun  4 14:51:29 CEST 2021
build time: 00:00:03
!!! build failure encountered !!!
Comment 1 Mathieu Arnold freebsd_committer 2021-06-09 07:43:26 UTC
I have the same problem, what is the build host os version and architecture ? Mine is 13.0 amd64.
Comment 2 freebsd 2021-06-09 07:50:23 UTC
The build host (the Poudriere server providing the build jail) is:

# uname -a
FreeBSD poudriere 13.0-RELEASE-p1 FreeBSD 13.0-RELEASE-p1 #0: Wed May 26 22:15:09 UTC 2021     root@amd64-builder.daemonology.net:/usr/obj/usr/src/amd64.amd64/sys/GENERIC  amd64

# freebsd-version -ku
13.0-RELEASE-p1
13.0-RELEASE-p2

# pkg info -x poudriere
poudriere-devel-3.3.99.20210521